
<div id ="search" class="fh5co-contact animate-box">
    <div class="search"  >
        <div class="container">
            <form id="search-form" method ="get" action="{% url 'custom_search'%}">

            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <input class="form-control" style="background: rgba(0, 0, 0, 0.15)" type="text" id="q_id" name="q" placeholder="Search With <Location>"  autocomplete="off"/>
                    </div>
                </div>
                <div class="col-md-4">
                    <select class="dropdown" name="prop_type" id="id_prop_type">
                        <option selected="selected" value="all">Select Property Type</option>
                        <option value="land">Land</option>
                        <option value="building">Building</option>
                        <option value="room">Flat</option>
                    </select>
                </div>
                <div class="col-md-4">
                    <div class="form-group">
                        <a href="javascript:void(0)" onclick="simple_search()" />
                        <input type="button" id="submit" class="btn btn-search btn-info" name="submit" value="Search"/>
                        <a href="javascript:void(0)" onclick="map_search()" />
                        <input type="button" id="submit" class="btn btn-search btn-warning" name="submit" value="Map Search"/>
                    </div>
                </div>
            </div>
        </div>
        </form>
    </div>
</div>

  <script>
    function simple_search() {
        var search_data = $('#search-form').serialize();
        window.location = "custom_search?"+search_data;
    }

    function map_search() {
        var search_data = $('#search-form').serialize();
        window.location = "mapsearch?"+search_data;
    }
  </script>
  <!-- / Advance Search -->
